<?
class ViewModule implements charcoal_IModule
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * モジュール名
	 */
	public function getModuleName()
	{
		return "Index View module";
	}

	/*
	 * モジュールを初期化する
	 */
	public function init( charcoal_Config $config )
	{
	}

	/*
	 * モジュールの処理を実行する
	 */
	public function execute( $action, charcoal_Request $request, charcoal_ProcedureContext $context, charcoal_Response $response )
	{
		// メインテンプレート
		$response->set( "main_template", $context->get("main_template") );

		// テンプレートIDのセット: top_pageテンプレートを使用
		$context->set( "smarty_template", "top_page" );
	}
}
